Package org.spongepowered.asm.transformers

## Class MixinClassReader

- java.lang.Object
- - org.objectweb.asm.ClassReader
  - - org.spongepowered.asm.transformers.MixinClassReader

    public class MixinClassReader
    extends org.objectweb.asm.ClassReader

A ClassReader which returns a more verbose exception message when the incoming class major version is higher than the version supported by the active ASM.

### Field Summary

### Fields inherited from class org.objectweb.asm.ClassReader

`b, EXPAND_FRAMES, header, SKIP_CODE, SKIP_DEBUG, SKIP_FRAMES`

### Constructor Summary

Constructors
`MixinClassReader​(byte[] classFile, java.lang.String name)`

### Method Summary

### Methods inherited from class org.objectweb.asm.ClassReader

`accept, accept, getAccess, getClassName, getInterfaces, getItem, getItemCount, getMaxStringLength, getSuperName, readByte, readBytecodeInstructionOffset, readBytes, readClass, readConst, readInt, readLabel, readLong, readModule, readPackage, readShort, readUnsignedShort, readUTF8`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MixinClassReader

    public MixinClassReader​(byte[] classFile,
                            java.lang.String name)